// exampleplugin.h : main header file for the BRIDGEREMOVAL DLL
//

#ifndef EXAMPLEPLUGIN_H
#define EXAMPLEPLUGIN_H

#include "BVQXPluginInterface.h"

/*
 * This class implements a plugin by deriving it from the generic PluginInterface
 */
class ExamplePlugin : public BVQXPluginInterface
{
public:
	
	PLUGIN_ACCESS ExamplePlugin();
	PLUGIN_ACCESS virtual ~ExamplePlugin();

	PLUGIN_ACCESS bool initPlugin();
	PLUGIN_ACCESS bool execute();
};

// To avoid C++ name mangling problems, we need to bootstrap access of plugin via C functions
//
extern "C" {
	PLUGIN_ACCESS BVQXPluginInterface *createPlugin();
	PLUGIN_ACCESS const char *getPluginName();
	PLUGIN_ACCESS const char *getPluginDescription();
	PLUGIN_ACCESS const char *getAuthor();
	PLUGIN_ACCESS const char *getHelpFile();
	PLUGIN_ACCESS const char *getPluginVersion();
	PLUGIN_ACCESS const char *getGUIScript();
}


#endif // EXAMPLEPLUGIN_H
